package ttn

import "log"
import "udi/handlers/handler"

var idSeq int = 0

type TTNHandler struct {
  id int
}

func NewTTNHandler() *TTNHandler {
  t := &TTNHandler {
    id: idSeq,
  }
  idSeq += 1
  return t
}

func (self *TTNHandler) Handle(message handler.MessageT) {
  log.Printf("Handler TTN %d processing %s -> %s", self.id, message.Topic, message.Payload)
}


